goocanvasmm: Goocanvas Namespace Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Goocanvas Namespace Reference

## Classes
class | Canvas
| The main canvas widget, containing a number of canvas items. More...
class | Bounds
class | Ellipse
class | EllipseModel
class | Grid
class | GridModel
class | Group
class | GroupModel
class | Image
class | ImageModel
class | Item
class | ItemModel
class | ItemModelSimple
class | ItemSimple
class | LineDash
class | Points
class | Polyline
class | PolylineModel
class | Path
class | PathModel
class | Rect
class | RectModel
class | Style
class | Table
class | TableModel
class | Text
class | TextModel
class | Widget
## Enumerations
enum | AnimateType { ANIMATE_FREEZE, ANIMATE_RESET, ANIMATE_RESTART, ANIMATE_BOUNCE }
enum | PointerEvents { EVENTS_VISIBLE_MASK = 1 << 0, EVENTS_PAINTED_MASK = 1 << 1, EVENTS_FILL_MASK = 1 << 2, EVENTS_STROKE_MASK = 1 << 3, EVENTS_NONE = 0x0, EVENTS_VISIBLE_PAINTED = 0xF, EVENTS_VISIBLE_FILL = 0x5, EVENTS_VISIBLE_STROKE = 0x9, EVENTS_VISIBLE = 0xD, EVENTS_PAINTED = 0xE, EVENTS_FILL = 0x4, EVENTS_STROKE = 0x8, EVENTS_ALL = 0xC }
enum | ItemVisibility { ITEM_HIDDEN, ITEM_INVISIBLE, ITEM_VISIBLE, ITEM_VISIBLE_ABOVE_THRESHOLD }
enum | PathCommandType { PATH_MOVE_TO, PATH_CLOSE_PATH, PATH_LINE_TO, PATH_HORIZONTAL_LINE_TO, PATH_VERTICAL_LINE_TO, PATH_CURVE_TO, PATH_SMOOTH_CURVE_TO, PATH_QUADRATIC_CURVE_TO, PATH_SMOOTH_QUADRATIC_CURVE_TO, PATH_ELLIPTICAL_ARC }
enum | AnchorType { ANCHOR_CENTER, ANCHOR_NORTH, ANCHOR_NORTH_WEST, ANCHOR_NORTH_EAST, ANCHOR_SOUTH, ANCHOR_SOUTH_WEST, ANCHOR_SOUTH_EAST, ANCHOR_WEST, ANCHOR_EAST, ANCHOR_N = ANCHOR_NORTH, ANCHOR_NW = ANCHOR_NORTH_WEST, ANCHOR_NE = ANCHOR_NORTH_EAST, ANCHOR_S = ANCHOR_SOUTH, ANCHOR_SW = ANCHOR_SOUTH_WEST, ANCHOR_SE = ANCHOR_SOUTH_EAST, ANCHOR_W = ANCHOR_WEST, ANCHOR_E = ANCHOR_EAST }
## Functions
PointerEvents | operator| (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator& (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator^ (PointerEvents lhs, PointerEvents rhs)
PointerEvents | operator~ (PointerEvents flags)
PointerEvents& | operator|= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | operator&= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | operator^= (PointerEvents& lhs, PointerEvents rhs)
void | init ()
| Initialize goocanvasmm.
void | init (const Glib::ustring& app_id, const Glib::ustring& version, int nargs, gchar* args[])

## Function Documentation

void Goocanvas::init | ( |  | ) |

Initialize goocanvasmm.

void Goocanvas::init | ( | const Glib::ustring & | app_id,
|  | const Glib::ustring & | version,
|  | int | nargs,
|  | gchar * | args[]
| ) |  |

Deprecated:
  these parameters are not used.

Please use init() instead.